%..Set bvec 
bvec = [0:0.01:3]; 
  
%..Set constants defining the approximation  
C1  = .25; 
C2  = 0.06;
mu0 = 4*pi*1e-7; 

murchord = (C2*bvec)./(sinh(bvec/C1)*mu0);
hvec     = sinh(bvec/C1)/C2; 

if (0)  
  plot(bvec,murchord,'Linewidth',2)
  xlabel('normB [T]')
  ylabel('mur')
  grid on 
end 

if (1) 
  plot(hvec,bvec,'Linewidth',2), hold on, 
  xlabel('normH [A/m]')
  ylabel('normB [T]')
  grid on 
end 
