% BH curcve of Lille 

  mu0 = 4*pi*1e-7; 
  nu0 = 1/mu0; 

  bha = 2.12e-4; 
  bhb = 7.358;
  bhc = 1.18e6; 

  %..Set bvec
  bvec = [0:0.01:3];

  %..Set reluctivity and permeability.. 
  nur = bha + (1-bha)*bvec.^(2*bhb)./(bvec.^(2*bhb)+bhc); 
  mur = 1./nur; 

  %..Plot mur-B curve 
  if (0)
    h = plot(bvec,mur); set(h,'Linewidth',2) 
    xlabel('normB [T]')
    ylabel('mur')
    grid on  
%    exportfig(gcf, 'murb_rational.jpg', 'FontMode', 'fixed',...
%              'FontSize', 14, 'color', 'cmyk' );
  end  

%  return 

  %..Define H..
  hvec = nu0*nur .* bvec; 
  
  %..Plot BH curve 
  if (1) 
    figure 
    plot(hvec,bvec,'Linewidth',2)
    grid on 
    xlabel('normH [A/m]')
    ylabel('normB [T]')
%    exportfig(gcf, 'bh_rational.eps', 'FontMode', 'fixed',...
%              'FontSize', 14, 'color', 'cmyk' );
 
  end 
