function mur = bhcurve(b)

 %..BH curve definition..
 bha = 2.12e-4;
 bhb = 7.358;
 bhc = 1.18e6;
  
 %..Define mur-b2 curve 
 b2 = b.*b;
 nur = bha + (1-bha)*b2.^bhb./(b2.^bhb+bhc);
 mur = 1./nur;

 %..If desired, overwrite with linear material..
 if (0)
   mur = ones(size(b)); 
 end
