function Limpd = lookup_imped(psi, my_ctx); 

  global Limpd 

  btopsi = my_ctx.btopsi;
  murtoL = my_ctx.murtoL;
  psi_dc = my_ctx.psi_dc; 

  %..Find b..
  b = psi/btopsi; 
 
  %..Find relative permeability..
  mur = bhcurve(b);  

  %..Find inductance..
  Limpd = murtoL*mur;   

  %..Overwrite with an a-priori value 
  if (0)
    Limpd = 1e-1;  
  end 
